Page MenuHomePhabricator

AstroPay gateway not incrementing order ID in some circumstances
Closed, ResolvedPublic2 Story Points

Description

We should be sending a new order id (x_invoice) with every call to NewInvoice. This should be generated as ct_id.numAttempt.
There is logic to increment numAttempt and retry the api call every time we get a 'duplicate invoice' error message back, but in a lot of cases we seem to be repeatedly sending the same one.

Event Timeline

Ejegg created this task.Jul 16 2015, 3:56 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 3:56 PM
Ejegg claimed this task.Jul 22 2015, 7:37 PM
Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg added a comment.Jul 24 2015, 9:46 PM

Note to self: numAttempt only gets incremented when you set a final status. Either the AstroPay adapter will have to redefine what numAttempt means (and increment it every time we call NewInvoice), or it will have to do something else to make the invoice ID unique

Change 227256 had a related patch set uploaded (by Ejegg):
Generate new order IDs for each NewInvoice call

https://gerrit.wikimedia.org/r/227256

Change 227256 merged by jenkins-bot:
Generate new order IDs for each NewInvoice call

https://gerrit.wikimedia.org/r/227256

Ejegg closed this task as Resolved.Jul 28 2015, 8:01 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 14 2015, 7:15 PM